Bug 114722 - setkeycodes does not support keycodes > 127
setkeycodes does not support keycodes > 127
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-01 11:31 EST by Marcel Mol
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-26 21:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Mol 2004-02-01 11:31:19 EST
Description of problem:
Although keycodes > 127 exist (at least in 2.6 kernels) and
getkeycodes shows them, setkeycodes only allows keycodes < 128.

I need this to define the multimedia keys on dell inspiron 8000

Version-Release number of selected component (if applicable):

rawhide/FC dev kbd-1.08-12

How reproducible: always
 
% /usr/bin/setkeycodes e001 130
  
Actual results:
setkeycode: code outside bounds


Expected results:
""

Additional info:

A new version kbd-1.12 is available on

    ftp://ftp.win.tue.nl/pub/linux-local/kbd/kbd-1.12.tar.gz

Note You need to log in before you can comment on or make changes to this bug.